# makefile fuer RCFS
#
# Folgende DEFINES loesen bestimmte bedingte compilierungen aus :
#
#   __LARGE__    : fuer den C166 compiler 
#                  alle POINTER etc. sind 32 BIT !!!!!!!!!!!!!!!!
#                  DOCH NUR MIT 16kByte OFFSET !!!!
#   __HLARGE__   : fuer den C166 compiler ab version X300E beta-3
#                  alle POINTER etc. sind 32 BIT !!!!!!!!!!!!!!!!
#                  MIT 32 BIT OFFSET !!!!
#   NDEBUG       : Ausschalten aller assertions ...
#                  assert-wahrheitsueberpruefungen wurden fuer die
#                  Programmentwicklung eingebaut.
#                  Sie verschlingen nicht viel Zeit, 
#                  und testen gewisse Vorraussetzungen !
#   __PARANOIA__ : Fehler oder nicht, das ist hier die Frage .....
#                  An verschiedenen Positionen wurden waehrend der 
#                        Programmentwicklung Fehler vermutet.
#                  Zeitintensive Wahrheitsueberpruefungen sind hier 
#                  implementiert. 
#                  Sinnestaeuschungen und Ungewissheit wurden hiermit beseitigt.
#  __LISTE_PARANOIA__ : Siehe __PARANOIA__, nur fuer die template Klasse Liste.
#  __OLD_INTERPRETE__ : Es wird die lex-yacc interpretation/ausfuehrung 
#                        verwendet, und nicht die Datenstruktur mittels 
#                        lex-yacc gefuellt, welche dann selbststaendig
#                        lauffaehig ist !!!!
#  YYDEBUG=1          : Alle States werden angezeigt und mehr !!
#  NO_PARSE_TEXT      : Wenn YYDEBUG=1 ist, so werden hier keine States gezeigt 
#  __NOT_ANSI_Cplusplus__ : Zu definieren wenn noch kein ANSI-C++
#                            zur Verfuegung steht
#
# _WITH_TESTS_         : Mit TestFunktionen (stcktst, tstclist, testdata)
#										   : wenn nicht definiert sollten die selbigen objekt-
#											 : dateien aus der linkerliste genommen werden.
# _C166_							 : FUER 80C166  PROZESSOR (KEIL COMPILER)
#                        Hier ist zu bemerken, dass die Versionsnummer als
#                        HEX-ZAHL enthalten ist :
#                        z.B.:  Version X300J beta-3 == 0x0300 !!!
# _WITH_KL_806_				 : FUER 80C166 NAEHMASCHIENE
#									     : wird in progdata.h definiert, wenn _C166_
#									     : definiert ist.

E=.
O=.?OBJTYPE
C66=.c66
C=.c
A=.a66
H=.h

NWHIDE     = -whid- -whch- -winl- 

# Abkuerzungen der compilerflags :
#
# DF := DEFINE
# LA := LARGE
# CD := CODE
# DB := DEBUG
#
# NODEBUG ist DEFAULT !!!!!!!!!!!!
#
# CFLAGS  := DEBUG OBJEKTE
# NDBCFLAGSSUCC := NON DEBUG OBJEKTE

NDBCFLAGSSUCC     = ?CCNDBOPTSUCC >> e
NDBCFLAGSPRE     = ?CCNDBOPTPRE
DBCFLAGSSUCC     = ?CCDBOPTSUCC >> e
DBCFLAGSPRE     = ?CCDBOPTPRE 
AFLAGSSUCC     = ?ASOPTSUCC >> e
AFLAGSPRE     = ?ASOPTPRE 
LFLAGS     = ?LNOPT >> e


CC=?CCPROG
AS=?ASPROG
LN=?LNPROG

# make by default :
#

{?JAUDIR}.c.?OBJTYPE:
  $(CC) $(NDBCFLAGSPRE) {$< } $(NDBCFLAGSSUCC)

{?RCFSDIR}.c.?OBJTYPE:
  $(CC) $(NDBCFLAGSPRE) {$< } $(NDBCFLAGSSUCC)

{?TOOLDIR}.c66.?OBJTYPE:
  $(CC) $(NDBCFLAGSPRE) {$< } $(NDBCFLAGSSUCC)

{?TOOLDIR}.c.?OBJTYPE:
  $(CC) $(NDBCFLAGSPRE) {$< } $(NDBCFLAGSSUCC)

{?TERMDIR}.c.?OBJTYPE:
  $(CC) $(NDBCFLAGSPRE) {$< } $(NDBCFLAGSSUCC)

{?TERMDIR}.c66.?OBJTYPE:
  $(CC) $(NDBCFLAGSPRE) {$< } $(NDBCFLAGSSUCC)

.c.?OBJTYPE:
  $(CC) $(NDBCFLAGSPRE) {$< } $(NDBCFLAGSSUCC)

.a66.?OBJTYPE:
  $(AS) $(AFLAGSPRE) {$< } $(AFLAGSSUCC)

JAULIBS = ?JAULDIR
TOOLS = ?TOOLDIR
RCFS = ?RCFSDIR

OBJ = \



?DESTINY: $(OBJ)
	$(LN) $(LFLAGS) 
	edit e

#    *Individual File Dependencies*

clean:
  rm *$(O)
	rm *.sym
	rm *.m66
	rm *.bak
	rm *.swp
	rm e
	rm *.obj
	rm *.lst
	rm kl806io$(C) 
	rm -Rf config

  
